Bug 1138140 (CVE-2014-3574) - CVE-2014-3574 apache-poi: entity expansion (billion laughs) flaw
Summary: CVE-2014-3574 apache-poi: entity expansion (billion laughs) flaw
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-3574
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1138165 1138168 1138152 1138153 1138155 1138156 1138157 1138158 1138160 1138161 1138162 1138163 1138164 1138166 1138169 1138170 1139203 1143772 1148950
Blocks: 1138173 1150317 1150325 1150326
TreeView+ depends on / blocked
 
Reported: 2014-09-04 07:13 UTC by David Jorm
Modified: 2019-09-29 13:21 UTC (History)
25 users (show)

Fixed In Version: apache-poi-ooxml 3.10.1, apache-poi-ooxml 3.11-beta2
Doc Type: Bug Fix
Doc Text:
It was found that Apache POI would expand an unlimited number of entities in OOXML documents. A remote attacker able to supply OOXML documents that are parsed by Apache POI could use this flaw to trigger a denial of service attack via excessive CPU and memory consumption.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:34:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1370 normal SHIPPED_LIVE Moderate: Apache POI security update 2014-10-09 22:51:42 UTC
Red Hat Product Errata RHSA-2014:1398 normal SHIPPED_LIVE Moderate: Apache POI security update 2014-10-13 20:41:59 UTC
Red Hat Product Errata RHSA-2014:1399 normal SHIPPED_LIVE Moderate: Apache POI security update 2014-10-13 20:41:55 UTC
Red Hat Product Errata RHSA-2014:1400 normal SHIPPED_LIVE Moderate: Apache POI security update 2014-10-13 20:41:39 UTC
Red Hat Product Errata RHSA-2015:1009 normal SHIPPED_LIVE Important: Red Hat JBoss Portal 6.2.0 update 2015-05-14 19:14:47 UTC

Description David Jorm 2014-09-04 07:13:20 UTC
IssueDescription:

It was found that Apache POI would expand an unlimited number of entities in OOXML documents. A remote attacker able to supply OOXML documents that are parsed by Apache POI could use this flaw to trigger a denial of service attack via excessive CPU and memory consumption.

Comment 1 David Jorm 2014-09-04 07:34:26 UTC
Upstream Advisory:

http://www.apache.org/dist/poi/release/RELEASE-NOTES.txt

Comment 4 David Jorm 2014-09-04 07:46:20 UTC
Created apache-poi tracking bugs for this issue:

Affects: fedora-all [bug 1138152]

Comment 11 Chess Hazlett 2014-09-17 20:53:59 UTC
Statement CVE-2014-3574:

Red Hat Product Security has determined that CVE-2014-3574 is not exploitable by default in JBoss Portal Platform as provided by Red Hat. This flaw would only be exploitable if the Apache POI library provided by JBoss Portal Platform were used by a custom application to process user-supplied XML documents.

Comment 12 Fedora Update System 2014-09-19 10:15:21 UTC
apache-poi-3.10.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 errata-xmlrpc 2014-10-09 18:51:52 UTC
This issue has been addressed in the following products:

  Fuse Service Works 6.0.0

Via RHSA-2014:1370 https://rhn.redhat.com/errata/RHSA-2014-1370.html

Comment 14 errata-xmlrpc 2014-10-13 16:42:16 UTC
This issue has been addressed in the following products:

  Red Hat JBoss BRMS 6.0.3

Via RHSA-2014:1400 https://rhn.redhat.com/errata/RHSA-2014-1400.html

Comment 15 errata-xmlrpc 2014-10-13 16:43:03 UTC
This issue has been addressed in the following products:

  Red Hat JBoss BPM Suite 6.0.3

Via RHSA-2014:1399 https://rhn.redhat.com/errata/RHSA-2014-1399.html

Comment 16 errata-xmlrpc 2014-10-13 16:43:21 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Data Virtualization 6.0.0

Via RHSA-2014:1398 https://rhn.redhat.com/errata/RHSA-2014-1398.html

Comment 18 errata-xmlrpc 2015-05-14 15:23:28 UTC
This issue has been addressed in the following products:

  JBoss Portal 6.2.0

Via RHSA-2015:1009 https://rhn.redhat.com/errata/RHSA-2015-1009.html


Note You need to log in before you can comment on or make changes to this bug.